package org.jeecg.modules.unitDevice.face;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.unitDevice.dto.CaseReportCheckDataDTO;
import org.jeecg.modules.unitDevice.vo.CaseReportCheckDataDetailVO;
import org.jeecg.modules.unitDevice.vo.CaseReportCheckDataVO;
import org.jeecg.modules.unitDevice.vo.CaseReportUnitScoreVO;
import org.jeecg.modules.unitDevice.vo.CaseReportWorkBatchVO;

import java.util.List;

public interface IUnitDeviceFace {
    /**
     * 病例报告-检查数据
     *
     * @param unitId
     * @param unitType
     */
    CaseReportCheckDataDetailVO caseReportCheckData(String unitId, int unitType,String checkId);

    Page<CaseReportCheckDataVO> queryPageList(Page<CaseReportCheckDataVO> pageData, CaseReportCheckDataDTO dto);

    List<CaseReportUnitScoreVO> caseReportUnitScore(String unitId, int unitType);

    List<CaseReportWorkBatchVO> caseReportWorkBatch(String unitId, int unitType);
}
